package ueb023weltkugel;

import processing.core.*;

@SuppressWarnings("serial")
public class Ueb023Weltkugel extends PApplet {

	private PImage[] images;
	private int frame = 0;
	private int direction = 1; // 1 = forward
	private final int imgCount = 18; // 18 Earth Images

	public void setup() {
		size(350, 250); // frame size
		background(0); // black
		smooth(); // use anti-aliasing
		frameRate(7); // 7 frames per sec

		drawStars(); // init Start (Background)
		loadImages(); // init Images
	}

	public void draw() {
		// center images
		image(images[frame], 
				(width / 2) - (images[frame].width / 2),
				(height / 2) - (images[frame].height / 2));
		// turn forward or backward
		if (direction == 1) {
			// forward
			frame++;
			if (frame >= imgCount) {
				frame = 0;
			}
		} else {
			// backward
			frame--;
			if (frame < 0) {
				frame = imgCount - 1;
			}
		}
	}

	public void drawStars() {
		for (int i = 0; i < 1337; i++) {
			stroke(200, random(255)); // stroke(gray, alpha)
			strokeWeight(random(2));
			point(random(width), random(height));
		}
	}

	public void loadImages() {
		images = new PImage[imgCount];
		for (int i = 0; i < imgCount; i++) {
			images[i] = loadImage("IMG00" + nf((i + 1), 2)
					+ ".GIF");
		}
	}

	public void mousePressed() {
		if (direction == 1) {
			direction = 0; // backward
		} else {
			direction = 1; // forward
		}
	}

	public void keyPressed() {
		if (keyCode == 'P') {
			save("printscreen.jpg");
		}
	}

}
