/****************************************************************
* Modul:   TA.BA_MMT.HS1301 - Multimedia Technik (MMT)
* Subject: Processing - Uebung 2
* Author:  Felix Rohrer
* Desc:    Eine Weltkugel drehen inkl. Sterne im Hintergrund
****************************************************************/

// ----- init Vars ----------------------------------------------
PImage[] images;
int frame = 0;
int direction = 1;       // 1 = forward
final int imgCount = 18; // 18 Earth Images

// ----- setup() ------------------------------------------------
void setup()
{
  size(350, 250);   // frame size
  background(0);    // black
  stroke(255, 100); //
  strokeWeight(20); //
  smooth();         // use anti-aliasing
  frameRate(5);     // 5 frames per sec
 
  drawStars();      // init Start (Background)
  loadImages();     // init Images
}

// ----- draw() -------------------------------------------------
void draw()
{
  // center images
  image(images[frame], (width / 2) - (images[frame].width / 2), (height / 2) - (images[frame].height / 2));
  // turn forward or backward
  if (direction == 1) {
    // forward
    frame++;
    if (frame >= imgCount) {
      frame = 0;
    }
  } else {
    // backward
    frame--;
    if (frame < 0) {
      frame = imgCount - 1;
    }
  }
}


// ----- drawStars() --------------------------------------------
// generate some Stars...
void drawStars() {
 for (int i = 0; i < 1337; i++) {
   stroke(150, random(255));  // stroke(gray, alpha)
   strokeWeight(random(2));
   point(random(width), random(height));
 }
}

// ----- loadImages() -------------------------------------------
// load all earth images
void loadImages() {
  images = new PImage[imgCount];
  for (int i = 0; i < imgCount; i++) {
    images[i] = loadImage("/wp-content/uploads/IMG00" + nf((i+1), 2) + ".GIF" );
  }
}

// ----- mousePressed() -----------------------------------------
// change direction by mouse click
void mousePressed() {
  if (direction == 1) {
    direction = 0; // backward
  } else {
    direction = 1; // forward
  }
}

// ----- keyPressed() -------------------------------------------
// save the current Screen
void keyPressed() {
  if(keyCode == 'P') {
    save("printscreen.jpg");
  }
}
